PostGIS: unclear error message connecting to a wrong port

2008-04-13 07:49 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11099

Description

When trying to connect to a port Postgres does not work on a cryptic "Extended error information" is given:

Connection failed - Check settings and try again.

Extended error information:

expected authentication request from server, but received S

History

#1 - 2008-04-13 08:22 AM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

Does the error message get truncated like that?  I get

could not connect to server: Connection refused (0x0000274D/10061)

Is the server running on host "192.168.49.12" and accepting

        TCP/IP connections on port 5433?

which seems pretty clear.  But I guess in your case there is something listing on the port you try to connect which even supports SSL as I get

received invalid response to SSL negotiation: 2

when connecting a SMTP port w/o SSL.

Anyway, those error messages are returned by the postgres client library and passed on to the user as that is all we known and therefore probably the best

we can do.

#2 - 2008-04-13 09:35 AM - Maciej Sieczka -

Replying to [comment:1 jef]:

Does the error message get truncated like that?
Exactly. All I get is:

Connection failed - Check settings and try again.

Extended error information:

expected authentication request from server, but received S

It was SSH port I tried to connect to by mistake.

I checked with [[PgAdmin]]. It displays same cryptic message. Not a QGIS issue it seems. Sorry for the fuss.

BTW - localised messages are garbled when they contain non-ASCII chars. Eg. in PL UTF8 locale I get:

Connection failed - Check settings and try again.

Extended error information:

could not connect to server: Przekroczony czas oczekiwania na poÅ�Ä�czenie

    Is the server running on host "127.0.0.1" and accepting

    TCP/IP connections on port 22?

instead of:

Connection failed - Check settings and try again.

Extended error information:

could not connect to server: Przekroczony czas oczekiwania na połączenie

    Is the server running on host "127.0.0.1" and accepting

    TCP/IP connections on port 22?

#3 - 2008-04-13 10:16 AM - Jürgen Fischer

i18n fixed in commit:fd84dcc0 (SVN r8348)

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
